Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.core
Class Team

    java.lang.Object
      org.eclipse.team.core.Team

public final class Team
extends Object

The Team class provides a global point of reference for the global ignore set and the text/binary registry.

Since:
  2.0

Field Summary
`static int` | `BINARY`
`static Status` | `OK_STATUS`
`static int` | `TEXT`
`static int` | `UNKNOWN`

Constructor Summary
`Team()`

Method Summary
`static IIgnoreInfo[]` | `getAllIgnores()` Returns the list of global ignores.
`static IFileTypeInfo[]` | `getAllTypes()` Return all known file types.
`static IIgnoreInfo[]` | `getDefaultIgnores()` Return the default ignore infos (i.e. those that are specified in plugin manifests).
`static IFileTypeInfo[]` | `getDefaultTypes()` Return the default file type bindings (i.e. those that are specified in plugin manifests).
`static IProjectSetSerializer` | `getProjectSetSerializer(String id)` Deprecated. Use `RepositoryProviderType.getProjectSetCapability()` to obtain an instance of `ProjectSetCapability` instead.
`static int` | `getType(IStorage storage)` Return the type of the given IStorage.
`static boolean` | `isIgnored(IFile file)` Deprecated. use isIgnoredHint instead
`static boolean` | `isIgnoredHint(IFile file)` Deprecated. use isIgnoredHint(IResource) instead
`static boolean` | `isIgnoredHint(IResource resource)` Returns whether the given file should be ignored.
`static void` | `setAllIgnores(String[] patterns, boolean[] enabled)` Add patterns to the list of global ignores.
`static void` | `setAllTypes(String[] extensions, int[] types)` Set the file type for the give extension to the given type.
`static void` | `shutdown()` Shut down the registry, persisting its state.
`static void` | `startup()` Initialize the registry, restoring its state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OK_STATUS

    public static final Status OK_STATUS

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### TEXT

    public static final int TEXT

See Also:
  Constant Field Values

### BINARY

    public static final int BINARY

See Also:
  Constant Field Values

Constructor Detail

### Team

    public Team()

Method Detail

### getType

    public static int getType(IStorage storage)

  Return the type of the given IStorage. Valid return values are: Team.TEXT Team.BINARY Team.UNKNOWN

  Parameters:
    `storage` - the IStorage
  Returns:
    whether the given IStorage is TEXT, BINARY, or UNKNOWN

### isIgnoredHint

    public static boolean isIgnoredHint(IResource resource)

  Returns whether the given file should be ignored. This method answers true if the file matches one of the global ignore patterns, or if the file is marked as derived.

  Returns:
    whether the file should be ignored

### isIgnoredHint

    public static boolean isIgnoredHint(IFile file)

  Deprecated. use isIgnoredHint(IResource) instead

  Returns whether the given file should be ignored.

### isIgnored

    public static boolean isIgnored(IFile file)

  Deprecated. use isIgnoredHint instead

  Returns whether the given file should be ignored.

### getAllTypes

    public static IFileTypeInfo[] getAllTypes()

  Return all known file types.

  Returns:
    all known file types

### getAllIgnores

    public static IIgnoreInfo[] getAllIgnores()

  Returns the list of global ignores.

### setAllTypes

    public static void setAllTypes(String[] extensions,
                                   int[] types)

  Set the file type for the give extension to the given type. Valid types are: Team.TEXT Team.BINARY Team.UNKNOWN

### setAllIgnores

    public static void setAllIgnores(String[] patterns,
                                     boolean[] enabled)

  Add patterns to the list of global ignores.

### startup

    public static void startup()
                        throws CoreException

  Initialize the registry, restoring its state. This method is called by the plug-in upon startup, clients should not call this method

  Throws:
    `CoreException`

### shutdown

    public static void shutdown()

  Shut down the registry, persisting its state. This method is called by the plug-in upon shutdown, clients should not call this method

### getProjectSetSerializer

    public static IProjectSetSerializer getProjectSetSerializer(String id)

  Deprecated. Use `RepositoryProviderType.getProjectSetCapability()` to obtain an instance of `ProjectSetCapability` instead.

### getDefaultIgnores

    public static IIgnoreInfo[] getDefaultIgnores()

  Return the default ignore infos (i.e. those that are specified in plugin manifests).

  Returns:
    the default ignore infos.
  Since:
    3.0

### getDefaultTypes

    public static IFileTypeInfo[] getDefaultTypes()

  Return the default file type bindings (i.e. those that are specified in plugin manifests).

  Returns:
    the default file type bindings
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.